Bug 92287 - [Chromium] context-creation-and-destruction layout tests are slow
Summary: [Chromium] context-creation-and-destruction layout tests are slow
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kenneth Russell
URL:
Keywords:
Depends on: 76225
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 13:20 PDT by Andrew Wilson
Modified: 2013-04-08 15:03 PDT (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Wilson 2012-07-25 13:20:11 PDT
These tests are slow (landed as part of r123556, I guess):

fast/canvas/webgl/context-creation-and-destruction.html = PASS
platform/chromium/virtual/gpu/fast/canvas/webgl/context-creation-and-destruction.html = PASS

http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=fast%2Fcanvas%2Fwebgl%2Fcontext-creation-and-destruction.html

I've marked them SLOW in TestExpectations
Comment 1 Kenneth Russell 2012-08-21 12:43:52 PDT
Committed r126180: <http://trac.webkit.org/changeset/126180>
Comment 2 Terry Anderson 2013-01-04 12:12:44 PST
These are starting to fail sometimes, so I have updated TestExpectations accordingly: http://trac.webkit.org/changeset/138827
Comment 3 Dimitri Glazkov (Google) 2013-01-08 10:12:00 PST
This test is now consistently timing out, even marked as "Slow".
Comment 4 Kenneth Russell 2013-01-08 10:30:05 PST
I'm going to remove this test. It was added for Bug 76255 but the "fix" for that bug (which is still evolving in Bug 104733) wasn't actually tested by this test.
Comment 5 Gregg Tavares 2013-01-08 10:37:53 PST
The point of this test is for a hypothetical site similar to docs.google.com.

Imagine a sight that makes graphs from spreadsheets. For certain effects they create a WebGL context, render a graph, make an image, then kill the WebGL context (ie, let it go)

Such a site shouldn't stop working after a certain number of context create-use-destroy cycles.
Comment 6 Kenneth Russell 2013-01-08 10:53:34 PST
The test can be added again once there is code in WebKit supporting it. Right now WebKit imposes no limit on the number of WebGL contexts that can be allocated nor on the amount of memory that can be allocated by all WebGL contexts. Having either of those two limits in place would let the test in the Khronos repository run successfully and then we could re-introduce a stripped down version as a layout test. It is a little distressing though that not even 8 iterations of the test can run within the timeout.